Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.impl
Class PersistableEntityInteger

    java.lang.Object
      org.acegisecurity.domain.impl.BusinessObject
          org.acegisecurity.domain.impl.AbstractPersistableEntity
              org.acegisecurity.domain.impl.PersistableEntityInteger

All Implemented Interfaces:
  Serializable, Cloneable, PersistableEntity

    public abstract class PersistableEntityInteger

extends AbstractPersistableEntity

A persistable entity that uses a `Integer` based identity.

Version:
  $Id: PersistableEntityInteger.java,v 1.5 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary
`protected Integer` | `id`

Fields inherited from class org.acegisecurity.domain.impl.AbstractPersistableEntity
`STARTING_VERSION`

Fields inherited from class org.acegisecurity.domain.impl.BusinessObject
`logger`

Constructor Summary
`PersistableEntityInteger()`

Method Summary
`abstract Integer` | `getId()` Obtains the persistence identity of this instance.
`Serializable` | `getInternalId()` DO NOT USE DIRECTLY.
`void` | `setId(Integer id)` DO NOT USE DIRECTLY.

Methods inherited from class org.acegisecurity.domain.impl.AbstractPersistableEntity
`getVersion, isNew, setVersion`

Methods inherited from class org.acegisecurity.domain.impl.BusinessObject
`clone, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Integer id

Constructor Detail

### PersistableEntityInteger

    public PersistableEntityInteger()

Method Detail

### setId

    public void setId(Integer id)

  DO NOT USE DIRECTLY.

  Typically only used by the persistence layer, but provided with public visibility to not limit flexibility.

  Parameters:
    `id` - the new instance identity

### getId

    public abstract Integer getId()

  Obtains the persistence identity of this instance.

  Marked as abstract to remind users to implement. They'll need to implement so their annotations reflect the correct sequence name.

### getInternalId

    public Serializable getInternalId()

  DO NOT USE DIRECTLY.

  Use `getId()` instead, as it provides the correct return type. This method is only provided for use by the persistence layer and to satisfy the `PersistableEntity` interface contract.

  Internally delegates to `getId()`.

  Returns:
    the instance's identity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.